<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Enumerations  Reference</title>
    <link rel="stylesheet" type="text/css" href="css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="css/highlight.css" />
    <meta charset='utf-8'>
    <script src="js/jquery.min.js" defer></script>
    <script src="js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a title="Enumerations  Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="index.html">BlueAirSDK Docs</a> (45% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="index.html">BlueAirSDK Reference</a>
        <img id="carat" src="img/carat.png" />
        Enumerations  Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Classes/BlueAirManager.html">BlueAirManager</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Enums/BlueAirSDKError.html">BlueAirSDKError</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums.html#/s:10BlueAirSDK0aB9ScanErrorO">BlueAirScanError</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/FanMode.html">FanMode</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/FanSpeed.html">FanSpeed</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PeripheralConnectionState.html">PeripheralConnectionState</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Extensions/Collection.html">Collection</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Protocols/ScanDelegate.html">ScanDelegate</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors.html">BlueAirErrors</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors/MainError.html">– MainError</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors/PlugError.html">– PlugError</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors/DuoError.html">– DuoError</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors/NRFErrror.html">– NRFErrror</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/Datapoint.html">Datapoint</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/FilterUsage.html">FilterUsage</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Enumerations</h1>
            <p>The following enumerations are available globally.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK25PeripheralConnectionStateO"></a>
                    <a name="//apple_ref/swift/Enum/PeripheralConnectionState" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK25PeripheralConnectionStateO">PeripheralConnectionState</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Describes the state of the current peripheral connection.</p>

<ul>
<li>connecting:       Is trying to connect to a new peripheral.</li>
<li>connected:        A peripheral is currently connected.</li>
<li>disconnecting:    Is trying to disconnect from previously connected device.</li>
<li>disconnected:     Successfully disconnected from peripheral.</li>
</ul>

                        <a href="Enums/PeripheralConnectionState.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">PeripheralConnectionState</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB8SDKErrorO"></a>
                    <a name="//apple_ref/swift/Enum/BlueAirSDKError" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB8SDKErrorO">BlueAirSDKError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p><code>RxBluetoothKit</code> error wrapper, providing a localized description for each error code.</p>

<ul>
<li>noScannedDevice:  Scan hasn&rsquo;t been done before trying to connect.</li>
</ul>

                        <a href="Enums/BlueAirSDKError.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">BlueAirSDKError</span><span class="p">:</span> <span class="kt">Error</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB9ScanErrorO"></a>
                    <a name="//apple_ref/swift/Enum/BlueAirScanError" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB9ScanErrorO">BlueAirScanError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">BlueAirScanError</span><span class="p">:</span> <span class="kt">Error</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK7FanModeO"></a>
                    <a name="//apple_ref/swift/Enum/FanMode" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK7FanModeO">FanMode</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Fan&rsquo;s mode</p>

<ul>
<li>unknown: unknown state</li>
<li>auto: auto mode on</li>
<li>manual: manual mode on</li>
<li>max: fan max speed</li>
</ul>

                        <a href="Enums/FanMode.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">FanMode</span><span class="p">:</span> <span class="kt">UInt8</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK8FanSpeedO"></a>
                    <a name="//apple_ref/swift/Enum/FanSpeed" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK8FanSpeedO">FanSpeed</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Enumeration of fan speed values.</p>

<ul>
<li><em>speed0</em>:       Fan speed 0.</li>
<li><em>speed1</em>:       Fan speed 1.</li>
<li><em>speed2</em>:       Fan speed 2.</li>
<li><em>speed3</em>:       Fan speed 3.</li>
</ul>

                        <a href="Enums/FanSpeed.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">FanSpeed</span><span class="p">:</span> <span class="kt">UInt8</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2018 <a class="link" href="https://bitbucket.org/airboxlab/icp_sdk_release" target="_blank" rel="external">AirBoxLab</a>. All rights reserved. (Last updated: 2018-02-13)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.9.1</a>, a <a class="link" href="http://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
